using GiftShopDataModels.Enums;
using GiftShopDataModels.Models;
using System.ComponentModel;

namespace GiftShopContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }

        public int GiftId { get; set; }

		public int ClientId { get; set; }

        public int? ImplementerId { get; set; }

        [DisplayName("Изделие")]

        public string GiftName { get; set; } = string.Empty;

        [DisplayName("ФИО исполнителя")]
        public string ImplementerFIO { get; set; } = string.Empty;

        [DisplayName("Клиент")]
		public string ClientFIO { get; set; } = string.Empty;

		[DisplayName("Количество")]

        public int Count { get; set; }

        [DisplayName("Сумма")]

        public double Sum { get; set; }

        [DisplayName("Статус")]

        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        [DisplayName("Дата создания")]

        public DateTime DateCreate { get; set; } = DateTime.Now;


        [DisplayName("Дата выполнения")]

        public DateTime? DateImplement { get; set; }
    }
}
